#
# spec file for package mcelog (Version 0.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mcelog
License:        GPL
Summary:        Log Machine Check Events
Version:        0.7
Release:        2.4
Autoreqprov:    on
Source:         mcelog-%{version}.tar.gz
Patch0:         mcelog-thermal
Group:          System/Monitoring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mcelog retrieves machine check events from an x86-64 kernel in a cron
job, decodes them, and logs them to /var/log/mcelog.

A machine check event is a hardware error detected by the CPU.

It should run on any x86-64 system.

In addition, it allows decoding machine check kernel panic messages.



Authors:
--------
    Andi Kleen <ak@suse.de>

%debug_package
%prep
%setup
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install 
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
cp  mcelog $RPM_BUILD_ROOT/usr/sbin
cp  mcelog.cron $RPM_BUILD_ROOT/etc/cron.hourly/mcelog
cp  mcelog.8 $RPM_BUILD_ROOT/%{_mandir}/man8
cp  mcelog.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/mcelog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,755)
%{_mandir}/man8/*
/usr/sbin/mcelog
/etc/cron.hourly/mcelog
/etc/logrotate.d/mcelog

%changelog -n mcelog
* Mon May 29 2006 - ak@suse.de
- decode intel thermal events too (#179327)
* Fri May 05 2006 - ak@suse.de
- Update to 0.7.  This fixes
- Fix --dmi option (#166324)
- Incorporate old patches
* Fri Mar 03 2006 - ak@suse.de
- Avoid cosmetic problem in --filter (#153347)
* Wed Feb 08 2006 - ak@suse.de
- update to mcelog 0.6
  * Fixes bugs (#148869, #137985)
  * Adds --dmi option to map addresses to DIMMs using SMBIOS
  (default to off)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - sf@suse.de
- update to version 0.5
  * Clarify --ascii in the manpage
  *Support for AMD K8 Revision F machine check DRAM error
  thresholding
* Fri Feb 11 2005 - ak@suse.de
- Use RPM_OPT_FLAGS
- Improve description again
* Thu Feb 10 2005 - ak@suse.de
- mcelog-0.4:
  * add support to decode AMD K8 (Opteron/Athlon64/AthlonFX) and
  Intel P4 (Xeon and Pentium 4) events
  * add --ascii option to decode machine check panic information
- Rewrite description in .spec file
* Wed Jun 09 2004 - ak@suse.de
- memlog-0.2:
  * fix mcelog looping (#41863)
  * Add GPL notices
* Thu Mar 25 2004 - sf@suse.de
- initial version
- fixes #36898
